Debian Bug report logs - #697793
support ntfs as binary filesystem

version graph

Package: live-build; Maintainer for live-build is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-build is src:live-build.

Reported by: Thierry <sage-debian-live-bugreport@lma.metelu.net>

Date: Wed, 9 Jan 2013 19:03:02 UTC

Severity: wishlist

Tags: pending

Found in version live-build/3.0~b5-1

Fixed in version live-build/4.0~a16-1

Done: Daniel Baumann <daniel.baumann@progress-technologies.net>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#697793; Package live-build. (Wed, 09 Jan 2013 19:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thierry <sage-debian-live-bugreport@lma.metelu.net>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Wed, 09 Jan 2013 19:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thierry <sage-debian-live-bugreport@lma.metelu.net>
To: submit@bugs.debian.org
Subject: live-build: hdd build does not work with ntfs filesystem
Date: Wed, 9 Jan 2013 20:06:18 +0100
Package: live-build
Version: 3.0~b5-1
Severity: normal

Hello,

it seems live-build is not able to build a hdd binary image on ntfs filesystem.
If i run the following command :

    mkdir test && cd test && lb config --binary-filesystem ntfs --binary-images hdd && sudo lb build

I get the following log: http://paste.debian.net/222859/

which finishes like this : 
    Initializing device with zeroes: 100% - Done.
    Creating NTFS volume structures.
    mkntfs completed successfully. Have a nice day.
    syslinux: zero FAT sectors
    P: Begin unmounting filesystems...
    P: Saving caches...
    Reading package lists...
    Building dependency tree...
    Reading state information...

The binary image is not built, the error comes proabably from the fact that
syslinux is not able to create its bootloader on an ntfs partition.

I am using Debian GNU/Linux 7.0 (kernel : Linux 3.2.0-4-amd64 #1 SMP
Debian 3.2.35-2 x86_64), with live-build 3.0~b5-1 dpkg-installed for the
bug report as suggested on IRC (wheezy currently uses 3.0~a51-1).

Ciao,
Thierry




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#697793; Package live-build. (Wed, 09 Jan 2013 19:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Wed, 09 Jan 2013 19:12:03 GMT) Full text and rfc822 format available.

Message #10 received at 697793@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Thierry <sage-debian-live-bugreport@lma.metelu.net>
Cc: 697793@bugs.debian.org
Subject: Re: Bug#697793: live-build: hdd build does not work with ntfs filesystem
Date: Wed, 09 Jan 2013 20:12:03 +0100
retitle 697793 support ntfs as binary filesystem
severity 697793 wishlist
thanks

On 01/09/2013 08:06 PM, Thierry wrote:
> it seems live-build is not able to build a hdd binary image on ntfs filesystem.

it was never advertised of doing so, it's work in progress.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/



Changed Bug title to 'support ntfs as binary filesystem' from 'live-build: hdd build does not work with ntfs filesystem' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Wed, 09 Jan 2013 19:12:05 GMT) Full text and rfc822 format available.

Severity set to 'wishlist' from 'normal' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Wed, 09 Jan 2013 19:12:05 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Wed, 13 Mar 2013 21:21:03 GMT) Full text and rfc822 format available.

Marked as fixed in versions live-build/4.0~a16-1. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Wed, 03 Apr 2013 05:57:06 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Wed, 03 Apr 2013 05:57:07 GMT) Full text and rfc822 format available.

Notification sent to Thierry <sage-debian-live-bugreport@lma.metelu.net>:
Bug acknowledged by developer. (Wed, 03 Apr 2013 05:57:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 02:13:29 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.